=== samples/drivers/drivers/CMakeLists.txt ===
add_subdirectory(barebones)
add_subdirectory(handskeletonsimulation)
add_subdirectory(simplecontroller)
add_subdirectory(simplehmd)
add_subdirectory(simpletrackers)
