=== samples/drivers/utils/CMakeLists.txt ===
add_subdirectory(driverlog)
add_subdirectory(vrmath)
